/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.stocktaking;

import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @author Oscar Vargas
 */
public class TransferStocktakingHasProductId implements Serializable {

    private static final long serialVersionUID = -2856956758166354555L;

    private String transferStocktakingId;
    private String productId;

    public TransferStocktakingHasProductId() {
    }

    public TransferStocktakingHasProductId(String transferStocktakingId) {
        this.transferStocktakingId = transferStocktakingId;
    }

    public TransferStocktakingHasProductId(String transferStocktakingId, String productId) {
        this.transferStocktakingId = transferStocktakingId;
        this.productId = productId;
    }

    public String getTransferStocktakingId() {
        return transferStocktakingId;
    }

    public void setTransferStocktakingId(String transferStocktakingId) {
        this.transferStocktakingId = transferStocktakingId;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    @Override
    public String toString() {
        return "TransferStocktakingHasProductId{" + "transferStocktakingId=" + transferStocktakingId + ", productId=" + productId + '}';
    }

    @Override
    public int hashCode() {
        int hash = 7;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final TransferStocktakingHasProductId other = (TransferStocktakingHasProductId) obj;
        if (!Objects.equals(this.transferStocktakingId, other.transferStocktakingId)) {
            return false;
        }
        if (!Objects.equals(this.productId, other.productId)) {
            return false;
        }
        return true;
    }

}
